<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 01/13/2006 *
 * ===============                              Last change: 01/13/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-logout.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Logout menu point                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ausloggen-Menuepunkt                             *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));
OUTPUT_HTML("</FONT><BR><BR>");

if (!empty($_POST['no']))
{
	// Do not logout now
	LOAD_URL(URL."/modules.php?module=admin");
}
 elseif ((!empty($_POST['yes'])) && ($GLOBALS['action'] == "logout"))
{
	// Redirect to logout link
	LOAD_URL(URL."/modules.php?module=admin&amp;logout=1");
}
 else
{
	// Load logout form template
	LOAD_TEMPLATE("admin_logout_form");
}
//
?>
